org.eclnt.jsfserver.elements.componentnodes

## Class GRIDCOLNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.GRIDCOLNode

- All Implemented Interfaces:
    java.io.Serializable

      public class GRIDCOLNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GRIDCOLNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GRIDCOLNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindActionListener(IActionListenerDelegation value)`
    `GRIDCOLNode` | `bindAlign(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindAvoidexport(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindAvoidselection(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindBackground(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindClientname(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindColumnresizerbackground(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindColumnresizingalwaysshowtitle(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindColumnresizingenabled(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindComment(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindDynamicwidthsizing(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindExportwidth(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindFont(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindForeground(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindImage(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindKeepcellborder(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindMultiline(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindPersistid(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindRendered(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindSearchenabled(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindSortenabled(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindSortreference(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindSortreferenceformat(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindSortreferenceformatmask(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindSortreferencetimezone(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindText(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindTextcutwidth(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindTextwidth(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindUsesmartlabel(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `bindWidth(IDynamicContentBindingObject value)`
    `GRIDCOLNode` | `setAccessiblename(java.lang.String value)`
    `GRIDCOLNode` | `setActionListener(java.lang.String value)`
    `GRIDCOLNode` | `setAlign(java.lang.String value)`
    `GRIDCOLNode` | `setAttributemacro(java.lang.String value)`
    `GRIDCOLNode` | `setAvoidexport(boolean value)`
    `GRIDCOLNode` | `setAvoidexport(java.lang.String value)`
    `GRIDCOLNode` | `setAvoidselection(boolean value)`
    `GRIDCOLNode` | `setAvoidselection(java.lang.String value)`
    `GRIDCOLNode` | `setBackground(java.lang.String value)`
    `GRIDCOLNode` | `setBgpaint(java.lang.String value)`
    `GRIDCOLNode` | `setClientname(java.lang.String value)`
    `GRIDCOLNode` | `setColumnresizerbackground(java.lang.String value)`
    `GRIDCOLNode` | `setColumnresizingalwaysshowtitle(boolean value)`
    `GRIDCOLNode` | `setColumnresizingalwaysshowtitle(java.lang.String value)`
    `GRIDCOLNode` | `setColumnresizingenabled(boolean value)`
    `GRIDCOLNode` | `setColumnresizingenabled(java.lang.String value)`
    `GRIDCOLNode` | `setComment(java.lang.String value)`
    `GRIDCOLNode` | `setConfiginfo(java.lang.String value)`
    `GRIDCOLNode` | `setDynamicwidthsizing(boolean value)`
    `GRIDCOLNode` | `setDynamicwidthsizing(java.lang.String value)`
    `GRIDCOLNode` | `setExportwidth(int value)`
    `GRIDCOLNode` | `setExportwidth(java.lang.String value)`
    `GRIDCOLNode` | `setFocusable(boolean value)`
    `GRIDCOLNode` | `setFocusable(java.lang.String value)`
    `GRIDCOLNode` | `setFocusdrawborder(boolean value)`
    `GRIDCOLNode` | `setFocusdrawborder(java.lang.String value)`
    `GRIDCOLNode` | `setFont(java.lang.String value)`
    `GRIDCOLNode` | `setForeground(java.lang.String value)`
    `GRIDCOLNode` | `setFxstyleseq(java.lang.String value)`
    `GRIDCOLNode` | `setId(java.lang.String value)`
    `GRIDCOLNode` | `setImage(java.lang.String value)`
    `GRIDCOLNode` | `setKeepcellborder(boolean value)`
    `GRIDCOLNode` | `setKeepcellborder(java.lang.String value)`
    `GRIDCOLNode` | `setMultiline(boolean value)`
    `GRIDCOLNode` | `setMultiline(java.lang.String value)`
    `GRIDCOLNode` | `setPersistid(java.lang.String value)`
    `GRIDCOLNode` | `setPopupmenu(java.lang.String value)`
    `GRIDCOLNode` | `setReference(java.lang.String value)`
    `GRIDCOLNode` | `setRendered(boolean value)`
    `GRIDCOLNode` | `setRendered(java.lang.String value)`
    `GRIDCOLNode` | `setSearchenabled(boolean value)`
    `GRIDCOLNode` | `setSearchenabled(java.lang.String value)`
    `GRIDCOLNode` | `setSortenabled(boolean value)`
    `GRIDCOLNode` | `setSortenabled(java.lang.String value)`
    `GRIDCOLNode` | `setSortreference(java.lang.String value)`
    `GRIDCOLNode` | `setSortreferenceformat(java.lang.String value)`
    `GRIDCOLNode` | `setSortreferenceformatmask(java.lang.String value)`
    `GRIDCOLNode` | `setSortreferencetimezone(java.lang.String value)`
    `GRIDCOLNode` | `setStyleseq(java.lang.String value)`
    `GRIDCOLNode` | `setStylevariant(java.lang.String value)`
    `GRIDCOLNode` | `setText(java.lang.String value)`
    `GRIDCOLNode` | `setTextcutwidth(boolean value)`
    `GRIDCOLNode` | `setTextcutwidth(java.lang.String value)`
    `GRIDCOLNode` | `setTextwidth(int value)`
    `GRIDCOLNode` | `setTextwidth(java.lang.String value)`
    `GRIDCOLNode` | `setTooltip(java.lang.String value)`
    `GRIDCOLNode` | `setUsesmartlabel(boolean value)`
    `GRIDCOLNode` | `setUsesmartlabel(java.lang.String value)`
    `GRIDCOLNode` | `setWidth(int value)`
    `GRIDCOLNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GRIDCOLNode

          public GRIDCOLNode()

  - ### Method Detail

    - #### setId

          public GRIDCOLNode setId(java.lang.String value)

    - #### setAccessiblename

          public GRIDCOLNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public GRIDCOLNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public GRIDCOLNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public GRIDCOLNode bindActionListener(IActionListenerDelegation value)

    - #### setAlign

          public GRIDCOLNode setAlign(java.lang.String value)

    - #### bindAlign

          public GRIDCOLNode bindAlign(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public GRIDCOLNode setAttributemacro(java.lang.String value)

    - #### setAvoidexport

          public GRIDCOLNode setAvoidexport(java.lang.String value)

    - #### bindAvoidexport

          public GRIDCOLNode bindAvoidexport(IDynamicContentBindingObject value)

    - #### setAvoidexport

          public GRIDCOLNode setAvoidexport(boolean value)

    - #### setAvoidselection

          public GRIDCOLNode setAvoidselection(java.lang.String value)

    - #### bindAvoidselection

          public GRIDCOLNode bindAvoidselection(IDynamicContentBindingObject value)

    - #### setAvoidselection

          public GRIDCOLNode setAvoidselection(boolean value)

    - #### setBackground

          public GRIDCOLNode setBackground(java.lang.String value)

    - #### bindBackground

          public GRIDCOLNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public GRIDCOLNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public GRIDCOLNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setClientname

          public GRIDCOLNode setClientname(java.lang.String value)

    - #### bindClientname

          public GRIDCOLNode bindClientname(IDynamicContentBindingObject value)

    - #### setColumnresizerbackground

          public GRIDCOLNode setColumnresizerbackground(java.lang.String value)

    - #### bindColumnresizerbackground

          public GRIDCOLNode bindColumnresizerbackground(IDynamicContentBindingObject value)

    - #### setColumnresizingalwaysshowtitle

          public GRIDCOLNode setColumnresizingalwaysshowtitle(java.lang.String value)

    - #### bindColumnresizingalwaysshowtitle

          public GRIDCOLNode bindColumnresizingalwaysshowtitle(IDynamicContentBindingObject value)

    - #### setColumnresizingalwaysshowtitle

          public GRIDCOLNode setColumnresizingalwaysshowtitle(boolean value)

    - #### setColumnresizingenabled

          public GRIDCOLNode setColumnresizingenabled(java.lang.String value)

    - #### bindColumnresizingenabled

          public GRIDCOLNode bindColumnresizingenabled(IDynamicContentBindingObject value)

    - #### setColumnresizingenabled

          public GRIDCOLNode setColumnresizingenabled(boolean value)

    - #### setComment

          public GRIDCOLNode setComment(java.lang.String value)

    - #### bindComment

          public GRIDCOLNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public GRIDCOLNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public GRIDCOLNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDynamicwidthsizing

          public GRIDCOLNode setDynamicwidthsizing(java.lang.String value)

    - #### bindDynamicwidthsizing

          public GRIDCOLNode bindDynamicwidthsizing(IDynamicContentBindingObject value)

    - #### setDynamicwidthsizing

          public GRIDCOLNode setDynamicwidthsizing(boolean value)

    - #### setExportwidth

          public GRIDCOLNode setExportwidth(java.lang.String value)

    - #### bindExportwidth

          public GRIDCOLNode bindExportwidth(IDynamicContentBindingObject value)

    - #### setExportwidth

          public GRIDCOLNode setExportwidth(int value)

    - #### setFocusable

          public GRIDCOLNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public GRIDCOLNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public GRIDCOLNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public GRIDCOLNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public GRIDCOLNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public GRIDCOLNode setFocusdrawborder(boolean value)

    - #### setFont

          public GRIDCOLNode setFont(java.lang.String value)

    - #### bindFont

          public GRIDCOLNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public GRIDCOLNode setForeground(java.lang.String value)

    - #### bindForeground

          public GRIDCOLNode bindForeground(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public GRIDCOLNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public GRIDCOLNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setImage

          public GRIDCOLNode setImage(java.lang.String value)

    - #### bindImage

          public GRIDCOLNode bindImage(IDynamicContentBindingObject value)

    - #### setKeepcellborder

          public GRIDCOLNode setKeepcellborder(java.lang.String value)

    - #### bindKeepcellborder

          public GRIDCOLNode bindKeepcellborder(IDynamicContentBindingObject value)

    - #### setKeepcellborder

          public GRIDCOLNode setKeepcellborder(boolean value)

    - #### setMultiline

          public GRIDCOLNode setMultiline(java.lang.String value)

    - #### bindMultiline

          public GRIDCOLNode bindMultiline(IDynamicContentBindingObject value)

    - #### setMultiline

          public GRIDCOLNode setMultiline(boolean value)

    - #### setPersistid

          public GRIDCOLNode setPersistid(java.lang.String value)

    - #### bindPersistid

          public GRIDCOLNode bindPersistid(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public GRIDCOLNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public GRIDCOLNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setReference

          public GRIDCOLNode setReference(java.lang.String value)

    - #### setRendered

          public GRIDCOLNode setRendered(java.lang.String value)

    - #### bindRendered

          public GRIDCOLNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public GRIDCOLNode setRendered(boolean value)

    - #### setSearchenabled

          public GRIDCOLNode setSearchenabled(java.lang.String value)

    - #### bindSearchenabled

          public GRIDCOLNode bindSearchenabled(IDynamicContentBindingObject value)

    - #### setSearchenabled

          public GRIDCOLNode setSearchenabled(boolean value)

    - #### setSortenabled

          public GRIDCOLNode setSortenabled(java.lang.String value)

    - #### bindSortenabled

          public GRIDCOLNode bindSortenabled(IDynamicContentBindingObject value)

    - #### setSortenabled

          public GRIDCOLNode setSortenabled(boolean value)

    - #### setSortreference

          public GRIDCOLNode setSortreference(java.lang.String value)

    - #### bindSortreference

          public GRIDCOLNode bindSortreference(IDynamicContentBindingObject value)

    - #### setSortreferenceformat

          public GRIDCOLNode setSortreferenceformat(java.lang.String value)

    - #### bindSortreferenceformat

          public GRIDCOLNode bindSortreferenceformat(IDynamicContentBindingObject value)

    - #### setSortreferenceformatmask

          public GRIDCOLNode setSortreferenceformatmask(java.lang.String value)

    - #### bindSortreferenceformatmask

          public GRIDCOLNode bindSortreferenceformatmask(IDynamicContentBindingObject value)

    - #### setSortreferencetimezone

          public GRIDCOLNode setSortreferencetimezone(java.lang.String value)

    - #### bindSortreferencetimezone

          public GRIDCOLNode bindSortreferencetimezone(IDynamicContentBindingObject value)

    - #### setStyleseq

          public GRIDCOLNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public GRIDCOLNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public GRIDCOLNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public GRIDCOLNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public GRIDCOLNode setText(java.lang.String value)

    - #### bindText

          public GRIDCOLNode bindText(IDynamicContentBindingObject value)

    - #### setTextcutwidth

          public GRIDCOLNode setTextcutwidth(java.lang.String value)

    - #### bindTextcutwidth

          public GRIDCOLNode bindTextcutwidth(IDynamicContentBindingObject value)

    - #### setTextcutwidth

          public GRIDCOLNode setTextcutwidth(boolean value)

    - #### setTextwidth

          public GRIDCOLNode setTextwidth(java.lang.String value)

    - #### bindTextwidth

          public GRIDCOLNode bindTextwidth(IDynamicContentBindingObject value)

    - #### setTextwidth

          public GRIDCOLNode setTextwidth(int value)

    - #### setTooltip

          public GRIDCOLNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public GRIDCOLNode bindTooltip(IDynamicContentBindingObject value)

    - #### setUsesmartlabel

          public GRIDCOLNode setUsesmartlabel(java.lang.String value)

    - #### bindUsesmartlabel

          public GRIDCOLNode bindUsesmartlabel(IDynamicContentBindingObject value)

    - #### setUsesmartlabel

          public GRIDCOLNode setUsesmartlabel(boolean value)

    - #### setWidth

          public GRIDCOLNode setWidth(java.lang.String value)

    - #### bindWidth

          public GRIDCOLNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public GRIDCOLNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.